--- a/configure
+++ b/configure
@@ -706,8 +706,8 @@ $tcl_include      = "-I$stock_tcl_includ
 if ($config_tk) { $tcl_include .= " -I$stock_tk_include_dir"; }
 $tcl_library      = "-L$stock_tcl_library_dir";
 if ($config_tk) { $tcl_library .= " -L$stock_tk_library_dir"; }
-$tcl_libs         = "-ltcl8.5";  
-if ($config_tk) { $tcl_libs = "-ltk8.5 -lX11 " . $tcl_libs; }
+$tcl_libs         = "-ltcl";  
+if ($config_tk) { $tcl_libs = "-ltk -lX11 " . $tcl_libs; }
 
 @tcl_cc           = ();
 @tcl_cu           = ();
--- a/plugins_src/Make-arch
+++ b/plugins_src/Make-arch
@@ -70,7 +70,7 @@
 	"CCFLAGS = -w -qinlglue -qarch=com -qtune=pwr3" \
 	"CXXFLAGS = -w -qstrict -Q -qarch=com -qtune=pwr3" \
 	"LDFLAGS = -qarch=com -qtune=pwr3" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar" \
 	"NM = nm -B" \
@@ -88,7 +88,7 @@
 	"CCFLAGS = -w -qinlglue -qarch=com -qtune=pwr5" \
 	"CXXFLAGS = -w -qstrict -Q -qarch=com -qtune=pwr5" \
 	"LDFLAGS = -qarch=com -qtune=pwr5" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar" \
 	"NM = nm -B" \
@@ -106,7 +106,7 @@
 	"CCFLAGS = -w -qinlglue -q64 -qarch=com -qtune=pwr5" \
 	"CXXFLAGS = -w -qstrict -Q -q64 -qarch=com -qtune=pwr5" \
 	"LDFLAGS = -q64 -qarch=com -qtune=pwr5" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar -X64" \
 	"NM = nm -B" \
@@ -124,7 +124,7 @@
 	"CCFLAGS = -w -qinlglue -q64 -qarch=com -qtune=pwr5" \
 	"CXXFLAGS = -w -qstrict -Q -q64 -qarch=com -qtune=pwr5" \
 	"LDFLAGS = -q64 -qarch=com -qtune=pwr5" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar -X64" \
 	"NM = nm -B" \
@@ -141,7 +141,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O2 -fPIC -Wall -Wno-psabi -MMD -MP -fpic -ffunction-sections -funwind-tables -fstack-protector -D__ARM_ARCH_5__ -D__ARM_ARCH_5T__ -D__ARM_ARCH_5E__ -D__ARM_ARCH_5TE__ -march=armv7-a -msoft-float -mfpu=vfp -mthumb -Os -fomit-frame-pointer -fno-strict-aliasing -finline-limit=64 -Wa,--noexecstac $(ANDROIDINCS)" \
 	"CXXFLAGS = -O2 -fPIC -Wall -Wno-psabi -MMD -MP -fpic -ffunction-sections -funwind-tables -fstack-protector -D__ARM_ARCH_5__ -D__ARM_ARCH_5T__ -D__ARM_ARCH_5E__ -D__ARM_ARCH_5TE__ -march=armv7-a -msoft-float -mfpu=vfp -mthumb -Os -fomit-frame-pointer -fno-strict-aliasing -finline-limit=64 -Wa,--noexecstac $(ANDROIDINCS)" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -175,7 +175,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -191,7 +191,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -207,7 +207,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -223,7 +223,7 @@
 	"DEF = -D" \
 	"CCFLAGS = +O2 +DAportable -Ae +z" \
 	"CXXFLAGS = +O2 +DAportable +z" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -241,7 +241,7 @@
 	"CCFLAGS = -O2 -fullwarn" \
 	"CXXFLAGS = -O2 -fullwarn" \
 	"LDFLAGS = -n32 -mips3" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -259,7 +259,7 @@
 	"CCFLAGS = -O2 -fullwarn" \
 	"CXXFLAGS = -O2 -fullwarn" \
 	"LDFLAGS = -64 -mips4" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -274,7 +274,7 @@
 	"CC = gcc" \
 	"CXX = g++" \
 	"DEF = -D" \
-	"CCFLAGS = -O2 -Wall -I/usr/local/include/tcl8.5" \
+	"CCFLAGS = -O2 -Wall -I/usr/local/include/tcl" \
 	"CXXFLAGS = -O2 -Wall" \
 	"TCLLDFLAGS = -L/usr/local/lib -ltcl85" \
 	"NETCDFLDFLAGS = -lnetcdf " \
@@ -291,7 +291,7 @@
 	"CC = gcc" \
 	"CXX = g++" \
 	"DEF = -D" \
-	"CCFLAGS = -m64 -O2 -Wall -I/usr/local/include/tcl8.5" \
+	"CCFLAGS = -m64 -O2 -Wall -I/usr/local/include/tcl" \
 	"CXXFLAGS = -m64 -O2 -Wall" \
 	"TCLLDFLAGS = -L/usr/local/lib -ltcl85" \
 	"NETCDFLDFLAGS = -lnetcdf " \
@@ -310,7 +310,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m32 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m32 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -327,7 +327,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O4 -arch host -tune host" \
 	"CXXFLAGS = -O4 -arch host -tune host" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -344,7 +344,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -361,7 +361,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O3 -fPIC -Wall -ffast-math -fno-strict-aliasing" \
 	"CXXFLAGS = -O3 -fPIC -Wall -ffast-math -fno-strict-aliasing" \
-	"TCLLDFLAGS = -ltcl8.5 -lz -ldl -lpthread" \
+	"TCLLDFLAGS = -ltcl -lz -ldl -lpthread" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -393,7 +393,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O2 -fPIC -Wall" \
 	"CXXFLAGS = -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -410,7 +410,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -427,7 +427,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O2 -fPIC -Wall" \
 	"CXXFLAGS = -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -444,7 +444,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O2 -fPIC" \
 	"CXXFLAGS = -O2 -fPIC" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -531,7 +531,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -O2 -Wall -ansi" \
 	"CXXFLAGS = -O2 -Wall" \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -548,7 +548,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -565,7 +565,7 @@
 	"DEF = -D" \
  	"CCFLAGS = -KPIC " \
  	"CXXFLAGS = -KPIC " \
-	"TCLLDFLAGS = -ltcl8.5 -lsocket -lnsl -ldl" \
+	"TCLLDFLAGS = -ltcl -lsocket -lnsl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf -lsocket -lnsl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -582,7 +582,7 @@
 	"DEF = -D" \
  	"CCFLAGS = -KPIC " \
  	"CXXFLAGS = -KPIC " \
-	"TCLLDFLAGS = -ltcl8.5 -lsocket -lnsl -ldl" \
+	"TCLLDFLAGS = -ltcl -lsocket -lnsl -ldl" \
 	"NETCDFLDFLAGS = -lnetcdf -lsocket -lnsl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -599,7 +599,7 @@
 	"DEF = -D" \
  	"CCFLAGS = -KPIC " \
  	"CXXFLAGS = -KPIC " \
-	"TCLLDFLAGS = -ltcl8.5 -lsocket -lnsl -ldl" \
+	"TCLLDFLAGS = -ltcl -lsocket -lnsl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -615,7 +615,7 @@
 	"DEF = -D" \
  	"CCFLAGS = -KPIC " \
  	"CXXFLAGS = -KPIC " \
-	"TCLLDFLAGS = -ltcl8.5 -lsocket -lnsl -ldl" \
+	"TCLLDFLAGS = -ltcl -lsocket -lnsl -ldl" \
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
@@ -631,7 +631,7 @@
 	"DEF = -D" \
 	"CCFLAGS = -m64 -O2 -fPIC -Wall" \
 	"CXXFLAGS = -m64 -O2 -fPIC -Wall" \
-	"TCLLDFLAGS = -ltcl8.5 -ldl" \
+	"TCLLDFLAGS = -ltcl -ldl" \
 	"NETCDFLDFLAGS = " \
 	"AR = ar" \
 	"NM = nm -p" \
@@ -649,7 +649,7 @@
 	"CCFLAGS = -O2" \
 	"CXXFLAGS = -O2" \
 	"LDFLAGS = " \
-	"TCLLDFLAGS = -ltcl8.5" \
+	"TCLLDFLAGS = -ltcl" \
 	"NETCDFLDFLAGS = -lnetcdf" \
 	"AR = ar" \
 	"NM = nm" \
@@ -666,7 +666,7 @@
 	"DEF = -D" \
  	"CCFLAGS = -fast" \
  	"CXXFLAGS = -fast" \
-	"TCLLDFLAGS = -ltcl8.5 -lm" \
+	"TCLLDFLAGS = -ltcl -lm" \
 	"NETCDFLDFLAGS = -lnetcdf " \
 	"AR = ar" \
 	"NM = nm -B" \
--- a/plugins_src/cionize/Makefile.specialbuilds
+++ b/plugins_src/cionize/Makefile.specialbuilds
@@ -100,7 +100,7 @@ ${ARCHDIR}/cionize: ${IONIZEOBJS} ${MGPO
 	${CXX} ${CXXFLAGS} ${ARCHDIR}/cionize.o ${IONIZEOBJS} ${MGPOTOBJS} -o ${ARCHDIR}/cionize -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} -lm -ldl
 
 ${ARCHDIR}/iccionize: ${IONIZEOBJS} ${MGPOTOBJS} ${ARCHDIR}/cionize.o ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.a
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 
 
@@ -225,19 +225,19 @@ mgpot_cuda_shortrng.cubin: mgpot_cuda_sh
 
 
 ${ARCHDIR}/gpuionize: $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 ${ARCHDIR}/iccgpuionize: $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 ${ARCHDIR}/iccgpuionize64: $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 ${ARCHDIR}/gpuionize_1_0: $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 ${ARCHDIR}/gpuionize_0_2: $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o
-	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl8.5 $(CUDALIBS)
+	$(CXX) $(CXXFLAGS) $(IONIZEOBJS) $(MGPOTOBJS) $(GPUOBJS) ${ARCHDIR}/cionize.o -DCUDA -o $@ $(LFLAGS) -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin -L/home/johns/vmd/lib/netcdf/lib_$(ARCH) -lnetcdf -L/home/johns/vmd/lib/tcl/lib_$(ARCH) -ltcl $(CUDALIBS)
 
 testcuda: main.o main_util.o
 	$(CXX) $(CXXFLAGS) main.o main_util.o -o $@ $(CUDALIBS)
@@ -353,7 +353,7 @@ linux-icc-thr:
 	"CXX  = /usr/local/bin/icpc" \
 	"CXXFLAGS   = -DTHR=1  -axW -fno-exceptions -fomit-frame-pointer -fno-math-errno -no-prec-sqrt -pc32 -vec-report=3 -O3 -msse3 -DBINARY_GRIDFILE" \
 	"ARCH = LINUX" \
-	"LFLAGS = -static-libcxa -i-static -ltcl8.5 -lpthread -lrt -lnetcdf" \
+	"LFLAGS = -static-libcxa -i-static -ltcl -lpthread -lrt -lnetcdf" \
 	"TCLLIB = $(TCLLIB)/lib_LINUX" \
 	"NETCDFLIB = $(NETCDFLIB)/lib_LINUX"
 
@@ -367,7 +367,7 @@ linux-icc-cuda-thr:
 	"CUDALIBS = -lcudart" \
 	"CUDACCFLAGS = -O3 --machine 32 $(CUDAINCS) -I$(CUDAHOME)/common/inc -DTHR" \
 	"ARCH = LINUX" \
-	"LFLAGS = -static-libcxa -i-static -ltcl8.5 -lpthread -lrt -lnetcdf -lcudart" \
+	"LFLAGS = -static-libcxa -i-static -ltcl -lpthread -lrt -lnetcdf -lcudart" \
 	"TCLLIB = $(TCLLIB)/lib_LINUX" \
 	"NETCDFLIB = $(NETCDFLIB)/lib_LINUX"
 
@@ -381,7 +381,7 @@ linux-64-icc-cuda-thr:
 	"CUDALIBS = -L/usr/local/encap/$(CUDA64VERSION)/lib64 -lcudart -Wl,-rpath,/usr/local/encap/$(CUDA64VERSION)/lib64" \
 	"CUDACCFLAGS = -O3 --machine 64 $(CUDAINCS) -I$(CUDAHOME)/common/inc -DTHR" \
 	"ARCH = LINUXAMD64" \
-	"LFLAGS = -static-libcxa -i-static -ltcl8.5 -lpthread -lrt -lnetcdf -lcudart" \
+	"LFLAGS = -static-libcxa -i-static -ltcl -lpthread -lrt -lnetcdf -lcudart" \
 	"TCLLIB = $(TCLLIB)/lib_LINUXAMD64" \
 	"NETCDFLIB = $(NETCDFLIB)/lib_LINUXAMD64"
 
@@ -398,7 +398,7 @@ linux-64-icc-cuda-thr-static:
 	"CUDALIBS = -L/usr/local/encap/$(CUDA64VERSION)/lib64 -lcudart_static" \
 	"CUDACCFLAGS = -O3 --machine 64 $(CUDAINCS) -I$(CUDAHOME)/common/inc -DTHR" \
 	"ARCH = LINUXAMD64" \
-	"LFLAGS = -static-libcxa -i-static -ltcl8.5 -lpthread -lrt -lnetcdf -lcudart_static" \
+	"LFLAGS = -static-libcxa -i-static -ltcl -lpthread -lrt -lnetcdf -lcudart_static" \
 	"TCLLIB = $(TCLLIB)/lib_LINUXAMD64" \
 	"NETCDFLIB = $(NETCDFLIB)/lib_LINUXAMD64"
 
@@ -429,7 +429,7 @@ ncsa-qp:
 	"CUDALIBS = -L/usr/local/encap/$(CUDA64VERSION)/lib -lcudart" \
 	"CUDACCFLAGS = -O3 --machine 64 $(CUDAINCS) -I$(CUDAHOME)/common/inc -DTHR" \
 	"ARCH = LINUXAMD64" \
-	"LFLAGS = -static-libcxa -i-static -ltcl8.5 -lpthread -lrt -lnetcdf -lcudart" \
+	"LFLAGS = -static-libcxa -i-static -ltcl -lpthread -lrt -lnetcdf -lcudart" \
 	"TCLLIB = $(TCLLIB)/lib_LINUXAMD64" \
 	"NETCDFLIB = $(NETCDFLIB)/lib_LINUXAMD64"
 
